A collection of keys and values.

### Hierarchy

- Collection

## Index

### Constructors

- constructor

### Properties

- name

### Methods

- del
- get
- put

## Constructors

### constructor

- new Collection(name: string): Collection

- - Defined in fly/data.ts:13

  Opens a collection

  #### Parameters

  - ##### name: string

    name of the collection to open

  #### Returns Collection

## Properties

### name

name: string

- Defined in fly/data.ts:13

## Methods

### del

- del(key: string): Promise<Object>

- - Defined in fly/data.ts:68

  Deletes data from the collection store.

  #### Parameters

  - ##### key: string

    key to delete

  #### Returns Promise<Object>

### get

- get(key: string): Promise<Object>

- - Defined in fly/data.ts:48

  Retrieves data from the collection store

  #### Parameters

  - ##### key: string

    key to retrieve

  #### Returns Promise<Object>

### put

- put(key: string, obj: string): Promise<Object>

- - Defined in fly/data.ts:28

  Stores data in the collection associated key

  #### Parameters

  - ##### key: string

    key for data

  - ##### obj: string

    value to store

  #### Returns Promise<Object>

Generated using TypeDoc